CHGRP(1)

NOMBRE
chgrp - cambia el grupo al que pertenecen los ficheros

SINOPSIS
chgrp [opciones] grupo fichero...

Opciones de POSIX: [-R]

Opciones GNU (en la forma más corta): [-cfvR] [--reference=rfile] [--help] [--version] [--]

DESCRIPCIÓN
chgrp cambia el grupo al que pertenece cada fichero dado a grupo, que puede ser o bien un nombre de grupo o bien un identificador de grupo numérico (GID).

OPCIONES DE POSIX

-R  Cambia recursivamente el grupo al que pertenecen directorios y sus contenidos. (Y continúa incluso si se encuentran errores.)

OPCIONES DE GNU

-c, --changes
    Describe prolijamente la acción para cada fichero cuyo grupo cambie realmente.

-f, --silent, --quiet
    No muestra mensajes de error sobre ficheros cuyo grupo no pueda cambiarse.

-h, --no-dereference
    Actúa sobre enlaces simbólicos propiamente en vez de sobre aquello a lo que apunten. Disponible solamente si el sistema proporciona la primitiva lchown.

-v, --verbose
    Describe con prolijidad la acción efectuada o no para cada fichero.

-R, --recursive
    Cambia recursivamente el grupo propietario de directorios y sus contenidos.

--reference=rfile
    (Nueva en fileutils 4.0.) Cambia el grupo propietario del fichero file al del fichero rfile.

OPCIONES ESTÁNDARES DE GNU

--help
    Muestra un mensaje en la salida estándar sobre el modo de empleo y acaba con código de éxito.

--version
    Muestra en la salida estándar información sobre la versión y luego acaba con código de éxito.

--  Termina la lista de opciones.

ENTORNO
Las variables LANG, LC_ALL, LC_CTYPE y LC_MESSAGES tienen los significados usuales.

CONFORME A
POSIX 1003.2 sólo requiere la opción -R. El empleo de otras opciones puede no ser transportable.

OBSERVACIONES
Esta página describe chgrp según se encuentra en el paquete fileutils-4.0; otras versiones pueden diferir un poco. Envíe por correo electrónico correcciones y adiciones a la dirección aeb@cwi.nl. Informe de fallos en el programa a fileutils-bugs@gnu.ai.mit.edu.